import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import React from 'react';
import { connect } from "react-redux";
import { getCartTotal } from "../../../helper/cartSummary";
import './Cart.scss';

var CartSummaryContainer =
/*#__PURE__*/
function (_React$Component) {
  _inherits(CartSummaryContainer, _React$Component);

  function CartSummaryContainer() {
    _classCallCheck(this, CartSummaryContainer);

    return _possibleConstructorReturn(this, _getPrototypeOf(CartSummaryContainer).apply(this, arguments));
  }

  _createClass(CartSummaryContainer, [{
    key: "render",
    value: function render() {
      return React.createElement("div", {
        className: "cart-summary"
      }, React.createElement("div", {
        className: "form-wrapper"
      }, React.createElement("form", {
        className: "form-horizontal",
        name: "priceform"
      }, React.createElement("div", {
        className: "summary-header"
      }, React.createElement("h4", {
        className: "summary-title"
      }, "Cart summary")), React.createElement("fieldset", {
        className: "no-legend cart-items"
      }, React.createElement("div", {
        className: "cart-body"
      }, React.createElement("div", {
        className: "show"
      }, this.props.cartItems && this.props.cartItems.items && React.createElement(React.Fragment, null, React.createElement("span", {
        className: "item-name"
      }, "Item Total (", this.props.cartItems.items.length, ") "), React.createElement("span", {
        id: "itemCountTotal"
      }, "$", getCartTotal(this.props.cartItems.items))))), React.createElement("div", {
        className: "amounts-section"
      }, React.createElement("div", {
        className: "total-section"
      }, React.createElement("label", {
        className: "control-label"
      }, this.props.cartItems && this.props.cartItems.items && React.createElement(React.Fragment, null, React.createElement("span", {
        id: "subTotal",
        className: ""
      }, "Subtotal \xA0\xA0"), " ", React.createElement("span", null, "$", getCartTotal(this.props.cartItems.items)))))), React.createElement("div", {
        className: "order-total no-button"
      }, this.props.cartItems && this.props.cartItems.items && React.createElement(React.Fragment, null, React.createElement("span", {
        className: "order-total-title"
      }, "Order Total"), React.createElement("span", {
        id: "orderTotal",
        className: "order-total-amount"
      }, "$", getCartTotal(this.props.cartItems.items)))), React.createElement("div", {
        className: "checkout-button-container show"
      }, React.createElement("button", {
        type: "submit",
        className: "btn btn-primary btn-block checkout-button"
      }, "Checkout"), React.createElement("p", {
        className: "secure-label"
      }, "Secure Checkout"))))));
    }
  }]);

  return CartSummaryContainer;
}(React.Component);

function mapStateToProps(state) {
  return {
    cartItems: state.cartActions.cartItems
  };
}

;

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  return {};
};

export default connect(mapStateToProps, mapDispatchToProps)(CartSummaryContainer);