import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import ACTION_TYPES from "./../../const/ACTION_TYPES";
var initialState = {
  cartItems: null
};
export default function cartReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case ACTION_TYPES.CART_ACTIONS.ON_CART_DATA:
      return Object.assign({}, state, _objectSpread({}, state, {
        cartItems: action.data
      }));

    case ACTION_TYPES.CART_ACTIONS.REMOVE_ITEM_FROM_CART_DATA:
      return Object.assign({}, state, _objectSpread({}, state, {
        cartItems: action.data
      }));

    default:
      return state;
  }
}